2024-07-20 00:48:11 UTC
284 MB
/usr/java/openjdk-23
JAVA_VERSION23-ea+33
LANGC.UTF-8
PATH/usr/java/openjdk-23/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:d9a40b27c30f626a234b4038d1370cabaed0e37737d0a56e3ea84710f110f14c - 16.43% (46.7 MB)
[#001] sha256:69f4595bc8923bd33baaa9fa3da6b9402101e55c0cfb4f5a4637936efc2dd5df - 12.7% (36.1 MB)
[#002] sha256:c618c551b0e48c8cc866b767ccbb68fca45ce7598a5d14225b338fda73ddc407 - 70.87% (202 MB)
/bin/sh -c #(nop) ADD file:61bb1ff5b435c8d45a692de54806f1a1d44cbd176c28877e360a68f4d0e7de6f in /
2024-07-08 23:20:26 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2024-07-20 00:48:11 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit
2024-07-20 00:48:11 UTC (buildkit.dockerfile.v0)ENV JAVA_HOME=/usr/java/openjdk-23
2024-07-20 00:48:11 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/java/openjdk-23/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2024-07-20 00:48:11 UTC (buildkit.dockerfile.v0)ENV LANG=C.UTF-8
2024-07-20 00:48:11 UTC (buildkit.dockerfile.v0)ENV JAVA_VERSION=23-ea+33
2024-07-20 00:48:11 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk23/33/GPL/openjdk-23-ea+33_linux-x64_bin.tar.gz'; downloadSha256='d44748cfdec1fe164da0725a95fb05f7e4b94070a669f2688f8604154d14df5b'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk23/33/GPL/openjdk-23-ea+33_linux-aarch64_bin.tar.gz'; downloadSha256='e25276d4f0cf9fb6f67b3a1be8087fbf0cceadfa33cab8ffc17e99c83e105e74'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit
2024-07-20 00:48:11 UTC (buildkit.dockerfile.v0)CMD ["jshell"]
2024-07-22 21:00:31 UTC
2.19 GB
C:\openjdk-23
JAVA_SHA256b187293e4a2d22e9975c77c2a9fa5ac548e60fa92ac6f5a7185f697ab295d04f
JAVA_URLhttps://download.java.net/java/early_access/jdk23/33/GPL/openjdk-23-ea+33_windows-x64_bin.zip
JAVA_VERSION23-ea+33
[#000] sha256:7c76e5cf7755ce357ffb737715b0da6799a50ea468cc252c094f4d915d426b3f - 59.17% (1.29 GB)
[#001] sha256:5f0206d135152eb909f50159d6ca348a5aead199afacbafc000b770c1b0720f6 - 32.0% (716 MB)
[#002] sha256:48530a80c1e95122eda7fa97d581969e5e6d336a40c13fb463278d14e03ce107 - 0.0% (1.27 KB)
[#003] sha256:07fd961398cb53acbf19fff855abd50fbccda9fd3bf782535c277a92a5c8c0a7 - 0.01% (343 KB)
[#004] sha256:f5687a91de709a2c123c85f34b436f60ba5216bdb3bc52e75d5ebf2b04912a89 - 0.0% (1.28 KB)
[#005] sha256:d427695102dfd2eb62de54a2b91186d908e7be71fa8c31108541723805cec2c9 - 0.01% (328 KB)
[#006] sha256:9026bb08f17de4aa623658efb7d27a3caaabe731f3e4ab2831304bf579f8d2e3 - 0.0% (1.25 KB)
[#007] sha256:880b601955633b3989738cb7d37634e30fc511fa777a687af0d7017f4bbf6cc7 - 0.0% (1.25 KB)
[#008] sha256:22700fee0376f140fab62eea651f266087102df41b7049c38466e9c5deb4ee58 - 0.0% (1.25 KB)
[#009] sha256:75b8742bbd5a0234e46212557b980a76f788aa6c0a549e593ce066262da6abf8 - 8.8% (197 MB)
[#010] sha256:57fb54a62f657610ac38c091f8c108262635415cca3eb7778e564f10eee38e82 - 0.0% (1.25 KB)
Apply image 10.0.20348.1787
2024-07-03 10:07:02 UTCInstall update 10.0.20348.2582
2024-07-22 20:59:40 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2024-07-22 20:59:58 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'
2024-07-22 20:59:59 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-23
2024-07-22 21:00:05 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'
2024-07-22 21:00:06 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=23-ea+33
2024-07-22 21:00:07 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk23/33/GPL/openjdk-23-ea+33_windows-x64_bin.zip
2024-07-22 21:00:07 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=b187293e4a2d22e9975c77c2a9fa5ac548e60fa92ac6f5a7185f697ab295d04f
2024-07-22 21:00:30 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'
2024-07-22 21:00:31 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]
2024-07-22 21:03:28 UTC
2.28 GB
C:\openjdk-23
JAVA_SHA256b187293e4a2d22e9975c77c2a9fa5ac548e60fa92ac6f5a7185f697ab295d04f
JAVA_URLhttps://download.java.net/java/early_access/jdk23/33/GPL/openjdk-23-ea+33_windows-x64_bin.zip
JAVA_VERSION23-ea+33
[#000] sha256:c9226d61d3bdbf9f09821b32f5878623b8daaa5fb4f875cb63c199f87a26d57e - 67.49% (1.54 GB)
[#001] sha256:b5f98e7fe87492b83d7775a348ae0c94412b638ab5bba1a80b03c3a547708acd - 24.03% (561 MB)
[#002] sha256:eb4492dbbb683465899fe47f991ab8bc2cd18a531a1b14ec578052b07941231b - 0.0% (1.27 KB)
[#003] sha256:0378b5b9361e1091fd3bdbc9ff9c378f6f3a1b81b8008f689dcf9afeed331196 - 0.02% (489 KB)
[#004] sha256:3de3de2537607174ee5a0108307c7d0c2d4bcf6a0531ddacfc9c6635fcc752ef - 0.0% (1.26 KB)
[#005] sha256:ed79ac91669a0f33a6fc74482d34e06131b3c09222018e01528678ec0d00d6fe - 0.01% (336 KB)
[#006] sha256:779a0e43611bb7ed1193fe22fcf0d6a7c8fc0ccbee755268d8d1e73d2d355b77 - 0.0% (1.26 KB)
[#007] sha256:1723be0c21485f2fa099a6d4f5413badf5540851a351fe6b0b2e802e0ccfce07 - 0.0% (1.36 KB)
[#008] sha256:decd092d07e5a2d6b72133a3cebd801af5a09d80a1d17fd61f91d3cea3e47f30 - 0.0% (1.32 KB)
[#009] sha256:aba141e4cf2e5dd3382645778894d2c11746b25fdba9d1f5a02143a7f180c384 - 8.44% (197 MB)
[#010] sha256:ad6738b5184765ce4589392d0d0e4634861521d513f099b720e154b198a1d064 - 0.0% (1.24 KB)
Apply image 10.0.17763.4499
2024-07-03 00:34:32 UTCInstall update 10.0.17763.6054
2024-07-22 20:59:55 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2024-07-22 21:02:07 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'
2024-07-22 21:02:07 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-23
2024-07-22 21:02:33 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'
2024-07-22 21:02:34 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=23-ea+33
2024-07-22 21:02:34 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk23/33/GPL/openjdk-23-ea+33_windows-x64_bin.zip
2024-07-22 21:02:35 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=b187293e4a2d22e9975c77c2a9fa5ac548e60fa92ac6f5a7185f697ab295d04f
2024-07-22 21:03:26 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'
2024-07-22 21:03:28 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]
2024-07-20 00:48:11 UTC
281 MB
/usr/java/openjdk-23
JAVA_VERSION23-ea+33
LANGC.UTF-8
PATH/usr/java/openjdk-23/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:c72f53f7235bf26fdb27eaeb0d712fc1886f19eda2722ef9709dda7424814b9e - 16.15% (45.4 MB)
[#001] sha256:3129baf21359e4eb83f9d1391c216edfe6dce92354dbd70df14232415144a124 - 12.97% (36.5 MB)
[#002] sha256:5a85b2426d2953dc96993dd486dcb5c61d1a4b58a863bba1198cf726d1076ab5 - 70.89% (199 MB)
/bin/sh -c #(nop) ADD file:a5d614a69430ac76660689e833533429bd70568280b25af98af60b01a76d6139 in /
2024-07-08 22:40:26 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2024-07-20 00:48:11 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit
2024-07-20 00:48:11 UTC (buildkit.dockerfile.v0)ENV JAVA_HOME=/usr/java/openjdk-23
2024-07-20 00:48:11 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/java/openjdk-23/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2024-07-20 00:48:11 UTC (buildkit.dockerfile.v0)ENV LANG=C.UTF-8
2024-07-20 00:48:11 UTC (buildkit.dockerfile.v0)ENV JAVA_VERSION=23-ea+33
2024-07-20 00:48:11 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk23/33/GPL/openjdk-23-ea+33_linux-x64_bin.tar.gz'; downloadSha256='d44748cfdec1fe164da0725a95fb05f7e4b94070a669f2688f8604154d14df5b'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk23/33/GPL/openjdk-23-ea+33_linux-aarch64_bin.tar.gz'; downloadSha256='e25276d4f0cf9fb6f67b3a1be8087fbf0cceadfa33cab8ffc17e99c83e105e74'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit
2024-07-20 00:48:11 UTC (buildkit.dockerfile.v0)CMD ["jshell"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.